<?php
if (!isset($_REQUEST['action']))
    $action = "afficher";
else
    $action = $_REQUEST['action'];

switch ($action)
{
    case "afficher" :
    {
        $lesMarques = getLesMarques();
        require "vues/v_marque.php";
        break;
    }

    case "ajouter" :
    {
        require "vues/v_marque_ajouter.php";
        break;
    }

    case "valideajout" :
    {
        $libelle = $_POST['libelle'];

        if ($libelle == "")
        {
            $message = "Veuillez saisir une marque";
            require "vues/v_marque_ajouter.php";
        }
        else
        {
            ajouterMarque($libelle);
            $lesMarques = getLesMarques();
            require "vues/v_marque.php";
        }
        break;
    }
}
?>